Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 15 Sep 2019, 16:23
All times are UTC - 4
 Forum index » Advanced Topics » Cutting edge
"transformer" operations system
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [1 Post]  
Author Message
oui

Joined: 20 May 2005
Posts: 3436
Location: near Woof (Germany) :-) - 3 PC's: DELL SX280 750 MB Pentium4, Acer emachines 2 GB AMD64. DELL XPS15

PostPosted: Wed 10 Apr 2019, 15:23    Post subject:  "transformer" operations system
Subject description: (not) possible?
 

Hi

As I did inform the community, I am actually about to test Deepin.

Deepin 15.7 64 bit (is not the last release but continues to be offered regular at the Deepin depositories!) is an astonish distro preserving the ability to use as well very old goodies (not available any more in actual distribution) as well as completely new ones.

To examples:

- Skype 64 bit from M$ at the one side

- Scratch2 for the use at school but also for other goals by each one as you have not language defined code to know!

Skype runs perfectly.

Scratch2 runs perfectly.

After update and upgrade (Deepin 9.3 64 bit) all that seems to stay compatible!.

How is that possible (our occidental distributions would invalid your old goodies! After update and upgrade, your installation is only the half as before and you only can wine!) Rolling Eyes

I suppose I have constate the mystery:

- old goodies works on 32 bit libraries, not changed at all Idea (*1 the best would be Debian Jessie 32 bit as it did continue to be compatible with all old goodies), also after update / upgrade Wink

- the correctly full actual system runs in 64 bit Wink Idea Laughing with no restrictions.

Only the kernel have to permit it and, later, do it willing!

What a wonder!

Gratulation Deepin developers!

A Puppy buster 64 including lib's from Puppy jessie 32 perhaps?

Note 1: after update / upgrade, the system seems to be in 64 bit equivalent to Deepin 15.9.3, the actual system!

Note 2: Apt installations message for Scratch2 in Deepin 15.7 showing the intensive use of 32 bit lib's:

sudo apt install scratch2
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Die folgenden zusätzlichen Pakete werden installiert:
avahi-daemon gtk2-engines-murrine:i386 i965-va-driver:i386 libasound2-plugins:i386 libasyncns0:i386 libaudio2:i386
libavahi-core7 libavcodec57:i386 libavresample3:i386 libavutil55:i386 libcanberra-gtk-module:i386 libcanberra-gtk0:i386
libcanberra0:i386 libcap2:i386 libcroco3:i386 libcrystalhd3:i386 libdaemon0 libdrm-amdgpu1:i386 libdrm-intel1:i386
libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libedit2:i386 libelf1:i386 libflac8:i386 libgl1:i386 libgl1-mesa-dri
libgl1-mesa-dri:i386 libglapi-mesa libglapi-mesa:i386 libglvnd0:i386 libglx-mesa0 libglx-mesa0:i386 libglx0:i386
libgnome-keyring0:i386 libgomp1:i386 libgpm2:i386 libgsm1:i386 libjack-jackd2-0:i386 libllvm6.0:i386 libltdl7:i386
libmariadbclient18:i386 libmng1:i386 libmp3lame0:i386 libncurses6:i386 libnspr4:i386 libnss-mdns libnss-mdns:i386 libnss3:i386
libnuma1:i386 libogg0:i386 libopenjp2-7:i386 libopus0:i386 libpciaccess0:i386 libpulse0:i386 libqt4-dbus:i386
libqt4-designer:i386 libqt4-network:i386 libqt4-qt3support:i386 libqt4-script:i386 libqt4-sql:i386 libqt4-sql-mysql:i386
libqt4-xml:i386 libqtcore4:i386 libqtdbus4:i386 libqtgui4:i386 librsvg2-2:i386 librsvg2-common:i386 libsamplerate0:i386
libsensors4:i386 libshine3:i386 libsnappy1v5:i386 libsndfile1:i386 libsoxr0:i386 libspeex1:i386 libswresample2:i386
libtdb1:i386 libtheora0:i386 libtinfo6:i386 libtwolame0:i386 libva-drm2:i386 libva-x11-2:i386 libva2:i386 libvdpau-va-gl1:i386
libvdpau1:i386 libvorbis0a:i386 libvorbisenc2:i386 libvorbisfile3:i386 libvpx5:i386 libwavpack1:i386 libwebp6:i386
libwebpmux3:i386 libwrap0:i386 libx264-152:i386 libx265-151:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386
libxcb-present0:i386 libxcb-sync1:i386 libxcb-xfixes0:i386 libxshmfence1:i386 libxslt1.1:i386 libxtst6:i386 libxvidcore4:i386
libxxf86vm1:i386 libzvbi0:i386 mesa-va-drivers mesa-va-drivers:i386 mesa-vdpau-drivers:i386 mysql-common qdbus qt-at-spi:i386
va-driver-all:i386 vdpau-driver-all:i386
Vorgeschlagene Pakete:
avahi-autoipd i965-va-driver-shaders:i386 nas:i386 libcanberra-pulse:i386 firmware-crystalhd:i386 gpm:i386 jackd2:i386
avahi-autoipd | zeroconf avahi-autoipd:i386 | zeroconf:i386 opus-tools:i386 libqt4-dev:i386 libicu57:i386 qt4-qtconfig:i386
lm-sensors:i386 speex:i386 nvidia-vdpau-driver:i386 nvidia-legacy-340xx-vdpau-driver:i386 nvidia-legacy-304xx-vdpau-driver:i386
Empfohlene Pakete:
murrine-themes:i386

...

Die folgenden Pakete werden aktualisiert (Upgrade):
libgl1-mesa-dri libglapi-mesa libglx-mesa0 mesa-va-drivers
4 aktualisiert, 112 neu installiert, 0 zu entfernen und 145 nicht aktualisiert.
Es müssen 165 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 487 MB Plattenplatz zusätzlich benutzt.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [1 Post]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Cutting edge
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0359s ][ Queries: 11 (0.0104s) ][ GZIP on ]